Subject: Bug: wu-2.4.2-academ[BETA-11]: 32 character host name buffer?

From: [email-masked] (Jay Schuster)
Date: Thu, 5 Dec 1996 11:12:01 -0500 (EST)

I am using wu-2.4.2-academ[BETA-11] on an IBM RS/6000 running AIX 4.1.4.

I have someone trying to access my ftp site from a dialup IP site:
    PORT-21-MAX-BTV-03.ramp.together.net
When ftpd starts, it says:
    ACCESS DENIED (not in any class) TO \
	PORT-21-MAX-BTV-03.ramp.together [207.41.55.21]
    FTP LOGIN REFUSED (access denied) FROM \
	PORT-21-MAX-BTV-03.ramp.together [207.41.55.21], Sgmsw
Note the loss of the `.net'.

In ftpaccess, I had to change:
    class	local	...	... *.ramp.together.net
to:
    class	local	...	... *.ramp.together
to work around this, but this is not general nor elegant.

I do not have a patch (yet), but thought you all would like to know.
-- 
Jay Schuster <[email-masked]>
The People's Computer Company	`Revolutionary Programming'